xcb_input_ungrab_device_key(3)

NAME
xcb_input_ungrab_device_key -

SYNOPSIS
#include <xcb/xinput.h>

  Request function

xcb_void_cookie_t xcb_input_ungrab_device_key(xcb_connection_t *conn, xcb_window_t grabWindow, uint16_t modifiers, uint8_t modifier_device, uint8_t key, uint8_t grabbed_device);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

grabWindow
    TODO: NOT YET DOCUMENTED.

modifiers
    TODO: NOT YET DOCUMENTED.

modifier_device
    TODO: NOT YET DOCUMENTED.

key TODO: NOT YET DOCUMENTED.

grabbed_device
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_input_ungrab_device_key_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.